openSUSE Security Update : libwebkit (openSUSE-SU-2010:0666-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

The browser engine libwebkit was updated to version 1.2.4 to fix
several security bugs. (CVE-2010-1781, CVE-2010-1782, CVE-2010-1784,
CVE-2010-1785 CVE-2010-1786, CVE-2010-1787, CVE-2010-1788,
CVE-2010-1790 CVE-2010-1792, CVE-2010-1793, CVE-2010-2648)

See also :

http://lists.opensuse.org/opensuse-updates/2010-09/msg00047.html
https://bugzilla.novell.com/show_bug.cgi?id=640409

Solution :

Update the affected libwebkit packages.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now